> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.useroot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.useroot.com/_mcp/server.

# List account transfers

GET https://api.useroot.com/api/treasury/account-transfers

Reference: https://docs.useroot.com/api-reference/treasury-api/list-account-transfers

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: '[Code Generated] Root - Instant Account to Account Money Movement'
  version: 1.0.0
paths:
  /api/treasury/account-transfers:
    get:
      operationId: list-account-transfers
      summary: List account transfers
      tags:
        - treasuryApi
      parameters:
        - name: cursor
          in: query
          description: >-
            Cursor for pagination. Use the next_cursor from the previous
            response to get the next page.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: limit
          in: query
          description: Number of items to return per page. Maximum is 500.
          required: false
          schema:
            type: integer
            default: 50
        - name: order
          in: query
          description: Sort order for results by creation time.
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
        - name: account_id
          in: query
          description: >-
            Filter by main account ID; repeat the parameter to match any listed
            account as from or to (OR).
          required: false
          schema:
            type:
              - array
              - 'null'
            items:
              type: string
              format: uuid
        - name: amount_in_minor_units_gte
          in: query
          description: Inclusive lower bound for transfer amount in minor units.
          required: false
          schema:
            type:
              - integer
              - 'null'
        - name: amount_in_minor_units_lte
          in: query
          description: Inclusive upper bound for transfer amount in minor units.
          required: false
          schema:
            type:
              - integer
              - 'null'
        - name: created_at_gte
          in: query
          description: Created on or after this timestamp.
          required: false
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: created_at_lte
          in: query
          description: Created on or before this timestamp.
          required: false
          schema:
            type:
              - string
              - 'null'
            format: date-time
        - name: rail
          in: query
          description: Filter by rail; repeat the parameter for multiple rails (OR).
          required: false
          schema:
            type:
              - array
              - 'null'
            items:
              $ref: '#/components/schemas/Rails'
        - name: status
          in: query
          description: Filter by status; repeat the parameter for multiple statuses (OR).
          required: false
          schema:
            type:
              - array
              - 'null'
            items:
              $ref: >-
                #/components/schemas/ApiTreasuryAccountTransfersGetParametersStatusSchemaItems
        - name: x-api-key
          in: header
          description: >-
            RootPay API key sent in the x-api-key header. Keys are
            environment-scoped: live_* for production, test_* for sandbox.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_TreasuryAccountTransferResponse_
servers:
  - url: https://api.useroot.com
    description: Production
components:
  schemas:
    SortOrder:
      type: string
      enum:
        - desc
        - asc
      description: Sort order for pagination endpoints.
      title: SortOrder
    Rails:
      type: string
      enum:
        - instant_card
        - instant_bank
        - same_day_ach
        - standard_ach
        - wire
        - '{''instant_card'', ''instant_bank''}'
        - '{''same_day_ach'', ''standard_ach''}'
        - '{''standard_ach'', ''wire''}'
      title: Rails
    ApiTreasuryAccountTransfersGetParametersStatusSchemaItems:
      type: string
      enum:
        - created
        - approved
        - initiated
        - debited
        - settled
        - failed
        - canceled
      title: ApiTreasuryAccountTransfersGetParametersStatusSchemaItems
    TreasuryAccountTransferResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        from_account_id:
          type: string
          format: uuid
        to_account_id:
          type: string
          format: uuid
        amount_in_minor_units:
          type: integer
        currency_code:
          type: string
        rail:
          type: string
        status:
          type: string
        client_metadata:
          type: object
          additionalProperties:
            description: Any type
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - from_account_id
        - to_account_id
        - amount_in_minor_units
        - currency_code
        - rail
        - status
        - created_at
        - updated_at
      description: >-
        Platform-initiated move between two main accounts
        (TreasuryAccountTransfer).
      title: TreasuryAccountTransferResponse
    PaginatedResponse_TreasuryAccountTransferResponse_:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/TreasuryAccountTransferResponse'
        has_more:
          type: boolean
        total_count:
          type:
            - integer
            - 'null'
          default: 0
        next_cursor:
          type:
            - string
            - 'null'
        previous_cursor:
          type:
            - string
            - 'null'
      required:
        - data
        - has_more
      title: PaginatedResponse_TreasuryAccountTransferResponse_
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        RootPay API key sent in the x-api-key header. Keys are
        environment-scoped: live_* for production, test_* for sandbox.

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "data": [
    {
      "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
      "from_account_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "to_account_id": "b2c3d4e5-f678-90ab-cdef-1234567890ab",
      "amount_in_minor_units": 250000,
      "currency_code": "USD",
      "rail": "standard_ach",
      "status": "settled",
      "created_at": "2024-01-15T09:30:00Z",
      "updated_at": "2024-01-15T10:00:00Z",
      "client_metadata": {
        "reference": "Invoice #12345",
        "initiated_by": "finance_team"
      }
    }
  ],
  "has_more": true,
  "total_count": 1,
  "next_cursor": "3fa85f64-5717-4562-b3fc-2c963f66afb0",
  "previous_cursor": "3fa85f64-5717-4562-b3fc-2c963f66afa0"
}
```

**SDK Code**

```python
import requests

url = "https://api.useroot.com/api/treasury/account-transfers"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.useroot.com/api/treasury/account-transfers';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.useroot.com/api/treasury/account-transfers"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.useroot.com/api/treasury/account-transfers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.useroot.com/api/treasury/account-transfers")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.useroot.com/api/treasury/account-transfers', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.useroot.com/api/treasury/account-transfers");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.useroot.com/api/treasury/account-transfers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```